Bug 174216 - [PATCH] databases/postgresql-repmgr: update to 1.2.0, refactor and add patches, more
Summary: [PATCH] databases/postgresql-repmgr: update to 1.2.0, refactor and add patche...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 07:40 UTC by koobs
Modified: 2016-10-05 17:46 UTC (History)
1 user (show)

See Also:


Attachments
postgresql-repmgr-1.2.0.patch (4.83 KB, patch)
2012-12-06 07:40 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-12-06 07:40:00 UTC
- Update to 1.2.0
- Update MASTER_SITES
- Assign with expansion for RUN_DEPENDS -> BUILD_DEPENDS
- Remove patch-strnlen after refactoring changes into new patches
- Add patch to fix compilation by cherrypicking a commit in 2.x (See references)
- Trim Makefile header

<ChangeLog>
1.2.0	2012-07-27
		Test ssh connection before trying to rsync (Cédric)
        Add CLUSTER SHOW command (Carlo)
        Add CLUSTER CLEANUP command (Jaime)
        Add function write_primary_conninfo (Marco)
        Teach repmgr how to get tablespace's location in different pg version (Jaime)
		Improve version message (Carlo)

1.1.1	2012-04-18
        Add --ignore-rsync-warning (Cédric)
        Add strnlen for compatibility with OS X (Greg)
        Improve performance of the repl_status view (Jaime)
        Remove last argument from log_err (Jaime, Reported by Jeroen Dekkers)
        Complete documentation about possible error conditions (Jaime)
        Document how to clean history (Jaime)
</ChangeLog>

Refences:
https://github.com/2ndQuadrant/repmgr/commit/2803bb92a85ee3ee256cbf0a8dbefc08a1a4468d

====[QA]====

portlint: One MASTER_SITE, Hyphen in PORTNAME
testport: (poudriere)

VERSION              ARCH    STATUS
10.0-CURRENT         amd64   OK
10.0-CURRENT         i386    OK
8.3-RELEASE          amd64   OK
8.3-RELEASE          i386    OK
9.0-RELEASE          amd64   OK
9.0-RELEASE          i386    OK
9.1-RC3              amd64   OK

============


Added file(s):
- files/patch-config.c
- files/patch-repmgr.c

Removed file(s):
- files/patch-strnlen

Port maintainer (alp@sfedu.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-12-06 08:28:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-06 08:28:56 UTC
Maintainer of databases/postgresql-repmgr,

Please note that PR ports/174216 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174216

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-06 08:28:57 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexander Pyhalov 2012-12-07 10:07:27 UTC
Hello.
The suggested patch doesn't work in my environment. Port fails to build. 
Unpatched port builds successfully.

 > uname -a
FreeBSD hostname 9.0-RELEASE FreeBSD 9.0-RELEASE #0: Fri Aug 31 11:28:53 
MSK 2012     root@hostname:/usr/obj/usr/src/sys/MyKern  amd64

 >  cc -v
Using built-in specs.
Target: amd64-undermydesk-freebsd
Configured with: FreeBSD/amd64 system compiler
Thread model: posix
gcc version 4.2.1 20070831 patched [FreeBSD]


repmgr.c: In function 'copy_remote_files':
repmgr.c:1670: warning: implicit declaration of function 'WEXITSTATUS'
cc -fno-omit-frame-pointer -O2 -pipe -O3 -funroll-loops 
-fno-strict-aliasing -Wall -Wmissing-prototypes -Wpointer-arith 
-Wdeclaration-after-statement -Wendif-labels -Wmissing-format-attribute 
-Wformat-security -fno-strict-aliasing -fwrapv dbutils.o check_dir.o 
config.o repmgr.o log.o strutil.o -L/usr/local/lib -lpgport 
-L/usr/local/lib -lpq -L/usr/local/lib -L/usr/local/lib 
-rpath=/usr/lib:/usr/local/lib -L/usr/local/lib -L/usr/local/lib 
-L/usr/local/lib -Wl,--as-needed -Wl,-R'/usr/local/lib'  -lpgport -lintl 
-lxml2 -lssl -lcrypto -lz -lreadline -lcrypt -lm  -o repmgr
repmgr.o: In function `copy_remote_files':
repmgr.c:(.text+0x1ec8): undefined reference to `WEXITSTATUS'
gmake: *** [repmgr] Error 1
*** Error code 1

Unfortunately, I don't have time enough to look at this problem deeper.

-- 
Best regards,
Alexander Pyhalov,
system administrator of Computer Center of Southern Federal University
Comment 5 Alexander Pyhalov 2012-12-07 11:42:28 UTC
Hello.
This patch is working, repmgr builds and runs with it.
Please, commit it.

-- 
Best regards,
Alexander Pyhalov,
system administrator of Computer Center of Southern Federal University
Comment 6 Steve Wills freebsd_committer 2012-12-10 02:27:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 commit-hook freebsd_committer 2016-10-05 17:46:59 UTC
A commit references this bug:

Author: tj
Date: Wed Oct  5 17:46:11 UTC 2016
New revision: 423356
URL: https://svnweb.freebsd.org/changeset/ports/423356

Log:
  Fix sysctl(3) call in mono_process_list()  where the MIB length argument was incorrectly passed to sysctl(3)

  PR:		174216
  Submitted by:	tj
  Approved by:	maintainer timeout

Changes:
  head/lang/mono/Makefile
  head/lang/mono/files/patch-eglib_src_gfile-posix.c
  head/lang/mono/files/patch-mono_metadata_socket-io.c
  head/lang/mono/files/patch-mono_utils_patch-mono__utils__mono-proclib.c